https://bugs.gentoo.org/810907
https://sources.debian.org/patches/refind/0.13.2-1/gnu-efi.patch/

Origin: https://sourceforge.net/p/refind/code/ci/10f838a4cd132a5595acaf3c54c15782151a61df
Applied-Upstream: 0.13.3
From 10f838a4cd132a5595acaf3c54c15782151a61df Mon Sep 17 00:00:00 2001
From: Rod Smith <rodsmith@rodsbooks.com>
Date: Sat, 23 Oct 2021 10:17:23 -0400
Subject: [PATCH] Fix compile problems with recent GNU-EFI versions

---
 EfiLib/DevicePathUtilities.h | 13 -------------
 EfiLib/gnuefi-helper.c       |  1 -
 NEWS.txt                     |  3 +++
 include/version.h            |  2 +-
 4 files changed, 4 insertions(+), 15 deletions(-)

diff --git a/EfiLib/DevicePathUtilities.h b/EfiLib/DevicePathUtilities.h
index b559671..14ed797 100644
--- a/EfiLib/DevicePathUtilities.h
+++ b/EfiLib/DevicePathUtilities.h
@@ -217,17 +217,4 @@ EFIAPI
 --*/
 ;
 
-typedef struct {
-  EFI_DEVICE_PATH_UTILS_GET_DEVICE_PATH_SIZE GetDevicePathSize;
-  EFI_DEVICE_PATH_UTILS_DUP_DEVICE_PATH      DuplicateDevicePath;
-  EFI_DEVICE_PATH_UTILS_APPEND_PATH          AppendDevicePath;
-  EFI_DEVICE_PATH_UTILS_APPEND_NODE          AppendDeviceNode;
-  EFI_DEVICE_PATH_UTILS_APPEND_INSTANCE      AppendDevicePathInstance;
-  EFI_DEVICE_PATH_UTILS_GET_NEXT_INSTANCE    GetNextDevicePathInstance;
-  EFI_DEVICE_PATH_UTILS_IS_MULTI_INSTANCE    IsDevicePathMultiInstance;
-  EFI_DEVICE_PATH_UTILS_CREATE_NODE          CreateDeviceNode;
-} EFI_DEVICE_PATH_UTILITIES_PROTOCOL;
-
-extern EFI_GUID gEfiDevicePathUtilitiesProtocolGuid;
-
 #endif
diff --git a/EfiLib/gnuefi-helper.c b/EfiLib/gnuefi-helper.c
index 246c261..8730403 100644
--- a/EfiLib/gnuefi-helper.c
+++ b/EfiLib/gnuefi-helper.c
@@ -20,7 +20,6 @@
 #include "refit_call_wrapper.h"
 #include "LegacyBios.h"
 
-EFI_GUID gEfiDevicePathUtilitiesProtocolGuid = { 0x09576E91, 0x6D3F, 0x11D2, { 0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B }};
 EFI_GUID gEfiLegacyBiosProtocolGuid = { 0xdb9a1e3d, 0x45cb, 0x4abb, { 0x85, 0x3b, 0xe5, 0x38, 0x7f, 0xdb, 0x2e, 0x2d }};
 
 /**
